com.aliyun.svideosdk.editor

## Interface AliyunIVodCompose

- All Superinterfaces:
    AliyunIBaseCompose

      public interface AliyunIVodCompose
      extends AliyunIBaseCompose

  后台合成及点播上传的合并接口 不同于AliyunICompose，该接口使用点播凭证上传，如何通过点播凭证上传请参考:https://help.aliyun.com/document_detail/99889.html 如有单独合成和单独上传的需求建议使用`AliyunIBaseCompose`(合成)及`com.aliyun.svideosdk.editor.AliyunIVodUpload`(点播上传)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AliyunIVodCompose.AliyunComposeState`
    `static class` | `AliyunIVodCompose.AliyunComposeUploadState`
    `static interface` | `AliyunIVodCompose.AliyunIVodUploadCallBack`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `cancelUpload()` 取消上传
    `int` | `composeAndUpload(java.lang.String config, java.lang.String output, ComposeAndUploadCallBack callback)` Added in v3.32.0 Compose and upload.
    `AliyunIVodCompose.AliyunComposeState` | `getState()` 获取合成状态
    `int` | `init(Context context)` 初始化，必须最现被调用
    `int` | `init(Context context, boolean reportEnabled)` 初始化，必须最现被调用
    `int` | `pauseUpload()` 暂停上传
    `int` | `refreshWithUploadAuth(java.lang.String uploadAuth)` 更新点播凭证
    `void` | `release()` 释放资源
    `int` | `resumeUpload()` 继续上传
    `int` | `uploadImageWithVod(java.lang.String imagePath, java.lang.String uploadAddress, java.lang.String uploadAuth, AliyunIVodCompose.AliyunIVodUploadCallBack aliyunVodUploadCallBack)` 通过凭证上传图片
    `int` | `uploadVideoWithVod(java.lang.String videoPath, java.lang.String uploadAddress, java.lang.String uploadAuth, AliyunIVodCompose.AliyunIVodUploadCallBack aliyunVodUploadCallBack)` 通过凭证上传视频

    - ### Methods inherited from interface com.aliyun.svideosdk.editor.AliyunIBaseCompose

      `cancelCompose, compose, pauseCompose, resumeCompose, setRenderCallback`

- - ### Method Detail

    - #### init

          int init(Context context)

      初始化，必须最现被调用
      Specified by:
        `init` in interface `AliyunIBaseCompose`
      Parameters:
        `context` - 建议传入applicationContext
      Returns:
        `AliyunErrorCode.OK`——接口调用成功 `AliyunErrorCode.ERROR_COMPOSE_INIT_FAILED`-context为null

    - #### init

          int init(Context context,
                   boolean reportEnabled)

      初始化，必须最现被调用
      Parameters:
        `context` - 建议传入applicationContext
        `reportEnabled` - 上传过程是否上报
      Returns:
        `AliyunErrorCode.OK`——接口调用成功 `AliyunErrorCode.ERROR_COMPOSE_INIT_FAILED`-context为null

    - #### composeAndUpload

          int composeAndUpload(java.lang.String config,
                               java.lang.String output,
                               ComposeAndUploadCallBack callback)

      Added in v3.32.0 Compose and upload.
      Parameters:
        `config` - project.json path
        `output` - compose output path
        `callback` - compose and upload callback.
      Returns:

    - #### uploadVideoWithVod

          int uploadVideoWithVod(java.lang.String videoPath,
                                 java.lang.String uploadAddress,
                                 java.lang.String uploadAuth,
                                 AliyunIVodCompose.AliyunIVodUploadCallBack aliyunVodUploadCallBack)

      通过凭证上传视频
      Parameters:
        `videoPath` -
        `uploadAddress` -
        `uploadAuth` -
        `aliyunVodUploadCallBack` -
      Returns:

    - #### uploadImageWithVod

          int uploadImageWithVod(java.lang.String imagePath,
                                 java.lang.String uploadAddress,
                                 java.lang.String uploadAuth,
                                 AliyunIVodCompose.AliyunIVodUploadCallBack aliyunVodUploadCallBack)

      通过凭证上传图片
      Parameters:
        `imagePath` -
        `uploadAddress` -
        `uploadAuth` -
      Returns:

    - #### refreshWithUploadAuth

          int refreshWithUploadAuth(java.lang.String uploadAuth)

      更新点播凭证
      Parameters:
        `uploadAuth` -
      Returns:

    - #### getState

          AliyunIVodCompose.AliyunComposeState getState()

      获取合成状态
      Returns:
        `AliyunIVodCompose.AliyunComposeState`

    - #### cancelUpload

          int cancelUpload()

      取消上传
      Returns:
        `AliyunErrorCode.OK`——成功 `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR`——失败，状态错误，当前并非正在上传

    - #### resumeUpload

          int resumeUpload()

      继续上传
      Returns:
        `AliyunErrorCode.OK`——成功 `AliyunErrorCode.ERROR_COMPOSE_STATUS_ERROR`——失败

    - #### pauseUpload

          int pauseUpload()

      暂停上传
      Returns:
        `AliyunErrorCode.OK`——成功

    - #### release

          void release()

      释放资源
      Specified by:
        `release` in interface `AliyunIBaseCompose`